SenseCrypt Docs
API ReferenceAdmin Attribute Definitions

Create Attribute Definition

POST/v1/admin/attribute_definitions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a CUSTOM attribute. Standard attrs are seeded, not created.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/admin/attribute_definitions" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "data_type": "string",    "label": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "key": "string",  "kind": "standard",  "data_type": "string",  "label": "string",  "provenance": "administered",  "scopes": [    {      "scope": "string",      "required": false,      "ordering": 0    }  ],  "options": [    "string"  ],  "constraints": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}